package com.ruoyi.project.ticket.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ticket.mapper.TPermitWorkHighMapper;
import com.ruoyi.project.ticket.domain.TPermitWorkHigh;
import com.ruoyi.project.ticket.service.ITPermitWorkHighService;

/**
 * 高处工作票Service业务层处理
 *
 * @author ruoyi
 * @date 2023-05-11
 */
@Service
public class TPermitWorkHighServiceImpl implements ITPermitWorkHighService
{
    @Autowired
    private TPermitWorkHighMapper tPermitWorkHighMapper;

    /**
     * 查询高处工作票
     *
     * @param whId 高处工作票ID
     * @return 高处工作票
     */
    @Override
    public TPermitWorkHigh selectTPermitWorkHighById(Long whId)
    {
        return tPermitWorkHighMapper.selectTPermitWorkHighById(whId);
    }

    /**
     * 查询高处工作票列表
     *
     * @param tPermitWorkHigh 高处工作票
     * @return 高处工作票
     */
    @Override
    public List<TPermitWorkHigh> selectTPermitWorkHighList(TPermitWorkHigh tPermitWorkHigh)
    {
        return tPermitWorkHighMapper.selectTPermitWorkHighList(tPermitWorkHigh);
    }

    /**
     * 新增高处工作票
     *
     * @param tPermitWorkHigh 高处工作票
     * @return 结果
     */
    @Override
    public int insertTPermitWorkHigh(TPermitWorkHigh tPermitWorkHigh)
    {
        return tPermitWorkHighMapper.insertTPermitWorkHigh(tPermitWorkHigh);
    }

    /**
     * 修改高处工作票
     *
     * @param tPermitWorkHigh 高处工作票
     * @return 结果
     */
    @Override
    public int updateTPermitWorkHigh(TPermitWorkHigh tPermitWorkHigh)
    {
        return tPermitWorkHighMapper.updateTPermitWorkHigh(tPermitWorkHigh);
    }

    /**
     * 批量删除高处工作票
     *
     * @param whIds 需要删除的高处工作票ID
     * @return 结果
     */
    @Override
    public int deleteTPermitWorkHighByIds(Long[] whIds)
    {
        return tPermitWorkHighMapper.deleteTPermitWorkHighByIds(whIds);
    }

    /**
     * 删除高处工作票信息
     *
     * @param whId 高处工作票ID
     * @return 结果
     */
    @Override
    public int deleteTPermitWorkHighById(Long whId)
    {
        return tPermitWorkHighMapper.deleteTPermitWorkHighById(whId);
    }
}
